%%-----------------------------------------------------------------------------
%% desc     :活动-活跃通行证
%% author   :ljy
%% time     :20/12/9
%%-----------------------------------------------------------------------------


-record(permit_active, {
    active          = 0,              %% 活跃度
    pay_permit      = 0,              %% 0 普通宝典|非0 王牌宝典
    normal_reward   = [],             %% 普通宝典 已领取奖励[grade,...]
    pay_reward      = []              %% 王牌宝典 已领取奖励[grade,...]
}).

-record(permit_login, {
    login_list      = [],             %% 登录天数列表
    pay_permit      = 0,              %% 0 普通宝典|非0 王牌宝典
    normal_reward   = [],             %% 普通宝典 已领取奖励[grade,...]
    pay_reward      = []              %% 王牌宝典 已领取奖励[grade,...]
}).

-define(REWARD_0,   0).    %% 不能领
-define(REWARD_1,   1).    %% 已完成未领
-define(REWARD_2,   2).    %% 已完成已领

%% 查询开启了活动的玩家id
-define(SELECT_OPEN_ACT_ACTIVE_ROLES, <<"SELECT `id` FROM `player_low` WHERE `lv` >= ~p">>).